Subject: Re: RFC: merging of cputables between ppc32/64

From: will schmidt <[email-masked]>
Date: Thu, 08 Sep 2005 15:43:04 -0500

Kumar Gala wrote:
> I was hoping to get some idea on which direction we wanted to head  with 
> cputable between ppc32/64.  The only major difference that  exists 
> between the two is the use of cpu_setup().
> 
> On ppc32, cpu_setup is called for each processor in an SMP  
> configuration.  Which gives us the following signature:
> 
> typedef void (*cpu_setup_t)(unsigned long offset, int cpu_nr, struct  
> cpu_spec* spec);
> 
> On ppc64, cpu_setup is only called for the boot cpu.  It is left to  the 
Yeah, at the time, we figured all cpu's in a system would be the same. 
with the merge of 32/64, is this still going to be the case?

> cpu save/restore functions to handle setting up the state for  
> additional CPUs.  Which gives is the following signature:
> 
> typedef void (*cpu_setup_t)(unsigned long offset, struct cpu_spec*  spec);
> 
> So my question is do we just extend the ppc64 signature to match the  
> ppc32 by having a dummy "int cpu_nr" that is ignored or do we do  
> something else?  As far as I can tell cpu_nr is only used by ppc32 as  
> temp storage so that the cpu_setup functions can return properly.

If cpu_nr is just used as temp storage, then can it be removed and 
replaced with a local variable?

> 
> - kumar
> _______________________________________________
> Linuxppc64-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc64-dev